<?php

header('Access-Control-Allow-Origin: *'); // Erlaubt Zugriffe von jedem Ursprung
header('Content-Type: application/json'); // Setzt den Content-Type der Antwort auf JSON

function constructMessage()
{
	$lang = ( isset($_POST['sprache']) && $_POST['sprache'] == "FR" ? "FR" : "DE" );
	
	$schulungstermin = filter_input(INPUT_POST, 'schulungstermin');
	if (isset($schulungstermin) )
	{
		$message = ($lang == "FR" ? "<p>Vous avez fourni les informations suivantes lors de votre inscription à la formation <b>VeruA App</b></p>" 
			: "<p>Sie haben folgende Angaben bei Ihrer Anmeldung zur Schulung <b>VeruA App</b> gemacht:</p><hr/>");
	} else
	{
		$message = ($lang == "FR" ? "<p>Vous avez indiqué les informations suivantes lors de votre commande <b>VeruA App</b></p>" 
			: "<p>Sie haben folgende Angaben bei Ihrer Bestellung <b>VeruA App</b> gemacht:</p><hr/>");
	}
	
	$organisation = filter_input(INPUT_POST, 'organisation');
	if (isset($organisation))
	{
		$message .= "<p><b>";
		$message .= ( $lang == "FR" ? "Vos données d'organisation" : "Ihre Organisations-Daten");
		$message .= "</b></p>";
		$message .= "<p>" . $organisation . "<br/>";
	} else
	{
		$message .= "<p><b>";
		$message .= ( $lang == "FR" ? "Vos coordonnées" : "Ihre Kontaktdaten");
		$message .= "</b></p><p>";
		if ( isset( $_POST['gender'] ) )
		{
			$message .= filter_input(INPUT_POST, 'gender') . " ";
		}
		if (isset($_POST['vorname']))
		{
			$message .= filter_input(INPUT_POST, 'vorname') . " ";
		}
		if (isset($_POST['name']))
		{
			$message .= filter_input(INPUT_POST, 'name') . "<br/>";
		}
	}
	if (isset($_POST['strasse']))
	{
		$message .= filter_input(INPUT_POST, 'strasse') . "<br/>";
	}
	if (isset($_POST['plz_ort']))
	{
		$message .= filter_input(INPUT_POST, 'plz_ort') . "<br/>";
	}
	if (isset($_POST['telefon']))
	{
		$message .= ( $lang == "FR" ? "Téléphone: " : "Telefon: ");
		$message .= filter_input(INPUT_POST, 'telefon') . "<br/>";
	}
	if (isset($_POST['email']))
	{
		$message .= ( $lang == "FR" ? "E-mail : " : "E-Mail: ");
		$message .= filter_input(INPUT_POST, 'email') . "<br/>";
	}	
	if (isset($_POST['zsr_nummer']))
	{
		$message .= ( $lang == "FR" ? "Nr. RCC : " : "ZSR Nummer: ");
		$message .= filter_input(INPUT_POST, 'zsr_nummer') . "<br/>";
	}
	if (isset($_POST['ean_nummer']))
	{
		$message .= ( $lang == "FR" ? "Nr. EAN/GLN : " : "EAN / GLN-Nr : ");
		$message .= filter_input(INPUT_POST, 'ean_nummer') . "<br/>";
	}
	$message .= "</p>";
	if (isset($organisation))
	{
		$message .= "<hr/><p><b>";
		$message .= ( $lang == "FR" ? "Personne de contact pour la commande" : "Kontaktperson für die Bestellung");
		$message .= "</b><br/>";
		if ( isset( $_POST['gender'] ) )
		{
			$message .= filter_input(INPUT_POST, 'gender') . " ";
		}
		if (isset($_POST['vorname']))
		{
			$message .= filter_input(INPUT_POST, 'vorname') . " ";
		}
		if (isset($_POST['name']))
		{
			$message .= filter_input(INPUT_POST, 'name');
		}
		$message .= "<br/>";
		if (isset($_POST['ansprechpartner_telefon']))
		{
			$message .= ( $lang == "FR" ? "Téléphone: " : "Telefon: ");
			$message .= filter_input(INPUT_POST, 'ansprechpartner_telefon') . "<br/>";
		}
		if (isset($_POST['ansprechpartner_email']))
		{
			$message .= ( $lang == "FR" ? "E-mail: " : "E-Mail: ");
			$message .= filter_input(INPUT_POST, 'ansprechpartner_email') . "<br/>";
		}
	}

	// Form inputs von Organisation
	$organisationPaket = filter_input(INPUT_POST, 'organisation-paket');
	if (isset($organisationPaket))
	{
		$message .= "<hr/><p><b>";
		$message .= "Organisation Paket</b>" . "<br/>" . $organisationPaket . "<br/></p>";
	}

	// Form inputs von Erstbestellung
	$bestehend = filter_input(INPUT_POST, 'bestehend');
	if (isset($bestehend))
	{
		$message .= "<hr/><p><b>";
		$message .= ( $lang == "FR" ? "Sélectionnée la version d'application" 
			: "Gewählte Applikations-Version");
		$message .= "</b><br/>";
		$message .= $bestehend . "</br><br/>";
	}

	$servername = filter_input(INPUT_POST, 'servername');
	if (isset($servername))
	{
		$message .= ( ! isset($bestehend) ? "<hr/><p><b>" : "<br/><b>" );
		$message .= ( $lang == "FR" ? "Nom pour le serveur" : "Name des Webbereichs / der Instanz");
		$message .= "</b><br/>";
		$message .= $servername . "</p>";
	}

	$modulpop2 = filter_input(INPUT_POST, 'modulpop2');
	if (isset($modulpop2))
	{
		$message .= "<hr/><p><b>Optionales Modul POP2</b>: " . "<br/>" . $modulpop2 . "<br/></p>";
	}

	$materialverwaltung = filter_input(INPUT_POST, 'materialverwaltung');
	if (isset($materialverwaltung))
	{
		$message .= "<hr/><p><b>";
		$message .= ( $lang == "FR" ? "Module en option pour le matériel" 
			: "Optionales Modul Material");
		$message .= "</b><br/>" . $materialverwaltung . "<br/></p>";
	}

	$qrcode = filter_input(INPUT_POST, 'qrcode');
	if (isset($qrcode))
	{
		$message .= "<hr/><p><b>";
		$message .= ( $lang == "FR" ? "Module en option QR-code" : "Optionales Modul QR-Code");
		$message .= "</b><br/>" . $qrcode . "<br/></p>";
	}

	$wochenbett = filter_input(INPUT_POST, 'wochenbett');
	if (isset($wochenbett))
	{
		$message .= "<hr/><p><b>";
		$message .= ( $lang == "FR" ? "Avez-vous besoin du programme de soins post-nataux?" : "Benötigen Sie die Wochenbett-Version?");
		$message .= "</b><br/>" . $wochenbett . "<br/></p>";
	}
	
	// Form inputs von Organisation Zusatzmodule
	$zusatzmodulDienstplan = filter_input(INPUT_POST, 'zusatzmodul-dienstplan');
	if (isset($zusatzmodulDienstplan))
	{
		$message .= "<hr/><p><b>";
		$message .= "Zusatzmodul Dienstplan</b>: " . "<br/>" . $zusatzmodulDienstplan . "<br/></p>";
	}

	$zusatzmodulTourenplan = filter_input(INPUT_POST, 'zusatzmodul-tourenplan');
	if (isset($zusatzmodulTourenplan))
	{
		$message .= "<hr/><p><b>";
		$message .= "Zusatzmodul Tourenplan</b>: " . "<br/>" . $zusatzmodulTourenplan . "<br/></p>";
	}

	// Form inputs von Zusatzmodule FPP / ORG
	$zusatzmodulPop2 = filter_input(INPUT_POST, 'zusatzmodul-pop2');
	if (isset($zusatzmodulPop2))
	{
		$message .= "<hr/><p><b>";
		$message .= "Zusatzmodul POP2</b><br/>" . $zusatzmodulPop2 .  "<br/></p>";
	}

	$zusatzmodulMaterialverwaltung = filter_input(INPUT_POST, 'zusatzmodul-materialverwaltung');
	if (isset($zusatzmodulMaterialverwaltung))
	{
		$message .= "<hr/><p><b>";
		$message .= ( $lang == "FR" ? "Module en option pour le matériel" 
			: "Zusatzmodul Materialverwaltung");
		$message .= "</b><br/>" . $zusatzmodulMaterialverwaltung . "<br/></p>";
	}

	$zusatzmodulQrCode = filter_input(INPUT_POST, 'zusatzmodul-qr-code');
	if (isset($zusatzmodulQrCode))
	{
		$message .= "<hr/><p><b>";
		$message .= ( $lang == "FR" ? "Module supplémentaire code QR" 
			: "Optionales Modul QR-Code");
		$message .= "</b><br/>" . $zusatzmodulQrCode .  "<br/></p>";
	}

	$zusatzmodulPerigon = filter_input(INPUT_POST, 'zusatzmodul-perigon');
	if (isset($zusatzmodulPerigon))
	{
		$message .= "<hr/><p><b>";
		$message .= "Zusatzmodul Perigon</b><br/>" . $zusatzmodulPerigon . "<br/></p>";
	}

	// Form inputs von Schulungstermin
	if (isset($schulungstermin))
	{
		$message .= "<hr/><p><b>";
		$message .= "Schulungstermin</b><br/>" . $schulungstermin . "<br/></p>";
	}
	
	$anmerkung = filter_input(INPUT_POST, 'anmerkung');
	if (!empty($anmerkung))
	{
		$message .= "<hr/><p><b>";
		$message .= ( $lang == "FR" ? "Remarque: " : "Ihre Bemerkung: ");
		$message .= "</b><br/>" . $anmerkung . "<br/></p>";
	}

	return $message;
}

function constructCustomerMessage($bestellMessage, $langForm, $name, $type)
{
	$message = "Grüezi " . $name .  "<br/><br/>";
	if ( $langForm == "FR" )
	{	
		
		$message .= ( $type == "course" ? "Merci de votre inscription à la formation. " : "Merci pour votre commande. ");
//		$message .= "Merci pour votre commande. ";
		$message .= "Nous vous contacterons dès que possible." . "<br/><br/>";
		$messageEnd = "<hr/><br/>Cordialement" . "<br/>";
		$messageEnd .= "Votre équipe VeruA" . "<br/><br/>";
		$infoCheck = "Voici à nouveau vos informations pour vérification. Si vous trouvez encore une erreur, veuillez nous en informer :" . "<br/><br/>";
	} else
	{
		$message .= ( $type == "course" ? "Vielen Dank für Ihre Anmeldung zur Schulung. " : "Vielen Dank für Ihre Bestellung. ");
//		$message .= "Vielen Dank für Ihre Bestellung. ";
		$message .= "Wir werden uns so schnell wie möglich bei Ihnen melden." . "<br/><br/>";
		$messageEnd = "<hr/><br/>Freundliche Grüsse" . "<br/>";
		$messageEnd .= "Ihr VeruA Team" . "<br/><br/>";
		$infoCheck = "Hier noch einmal Ihre Angaben für Sie zur Überprüfung. Sollten Sie noch einen Fehler finden, informieren Sie uns bitte:" . "<br/><br/>";
	}

	$message .= $infoCheck;

	$message .= $bestellMessage;
	
	$message .= $messageEnd;
		
	$message .= "VeruA AG" . "<br/>";
	$message .= "Steinerstrass 19" . "<br/>";
	$message .= "CH-8253 Diessenhofen" . "<br/>";
	$message .= "079 393 86 83" . "<br/>";
	$message .= "kontakt@verua.swiss" . "<br/>";
	$message .= "www.verua.swiss" . "<br/><br/>";		

	return $message;
}